package jclusim.base;

public interface IExperimentSettings {

    public Environment createEnvironment();

    public Agent[] createAgents();

    public void placeAgentsOnEnvironment(Agent[] agents, Environment env);

    public Item[] createItems();

    public void placeItemsOnEnvironment(Item[] items, Environment env);

    public boolean shouldExperimentStop(Experiment exp);

}