package jclusim.observer.metric;

import jclusim.base.Experiment;

public class Activity implements IMetric {

    public double computeValue(Experiment exp) {

	int acc = 0;
	for (int i = 0; i < exp.getAgents().length; i++) {
	    if (exp.getAgents()[i].isCarryingItem()) {
		acc = acc + 1;
	    }

	}

	double result = ((double) acc) / ((double) exp.getAgents().length);
	return result;
    }

    @Override
    public String toString() {
	return "Activity";
    }

}
